/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "OpenNI 1.5.4", "index.html", [
    [ "OpenNI Overview", "index.html", "index" ],
    [ "HandTracker.java - sample program (java)", "smpl_handtracker_java.html", [
      [ "Handler for 'Hand Destroy' Event", "smpl_handtracker_java.html#htj_evhndlr_handdestr", null ]
    ] ],
    [ "NiAudioSample.cpp - sample program", "smpl_audio.html", null ],
    [ "NiBackRecorder.cpp - sample program", "smpl_back_recrdr.html", null ],
    [ "NiConvertXToONI.cpp - sample program", "smpl_cnvx_to_oni.html", null ],
    [ "NiRecordRaw.cpp - sample program", "smpl_record_raw.html", null ],
    [ "NiRecordSynthetic.cpp - sample program", "smpl_record_syn.html", null ],
    [ "NiSimpleCreate.cpp - sample program  <br>", "smpl_simple_create.html", null ],
    [ "NiSimpleRead.cpp - sample program", "smpl_simple_read.html", null ],
    [ "NiSimpleViewer.cpp - sample program", "smpl_simple_view.html", null ],
    [ "NiUserTracker - sample program", "smpl_user_tracker.html", null ],
    [ "NiViewer - sample program", "smpl_niviewer.html", null ],
    [ "Capture.cpp file", "smpl_niviewer_capture_cpp.html", [
      [ "Function: captureStart() -  Starts the Capturing Process", "smpl_niviewer_capture_cpp.html#capture_cpp_Start", null ],
      [ "Function: captureCloseWriteDevice() -  Closes a Write Device", "smpl_niviewer_capture_cpp.html#capture_cpp_CloseWriteDevice", null ],
      [ "Function: captureRestart() -  Restarts the Recording Process", "smpl_niviewer_capture_cpp.html#capture_cpp_captureRestart", null ],
      [ "Function: captureStop() -  Stops the Recording Process     <br>", "smpl_niviewer_capture_cpp.html#capture_cpp_captureStop", null ],
      [ "Function: captureFrame() -  Main State Machine for Capturing Frames from Generator Nodes", "smpl_niviewer_capture_cpp.html#capture_cpp_captureFrame", null ],
      [ "Function: captureSetFormat() -  Selects a New Codec for Recording", "smpl_niviewer_capture_cpp.html#capture_cpp_setformat", null ],
      [ "Function group: 'Set Format' for each Production Node", "smpl_niviewer_capture_cpp.html#capture_cpp_setformat_grp", null ],
      [ "Function: getCodecName() -  Gets Text Name of Node's  Current Codec", "smpl_niviewer_capture_cpp.html#capture_cpp_getCodecName", null ],
      [ "Function group: 'getCodecName' for each Generator node", "smpl_niviewer_capture_cpp.html#capture_cpp_getCodecName_grp", null ],
      [ "Function: 'getCaptureMessage()'", "smpl_niviewer_capture_cpp.html#capture_cpp_getCaptureMessage", null ],
      [ "Function group: 'Get File Name' - Build a file name for each Generator node", "smpl_niviewer_capture_cpp.html#capture_cpp_getFileName_grp", null ],
      [ "Function: findUniqueFileName() -  Builds a Unique File Name for Saving a Captured Data Frame", "smpl_niviewer_capture_cpp.html#capture_cpp_findUniqueFileName", null ],
      [ "Function: captureSingleFrame() -  Captures a Single Frame   <br>", "smpl_niviewer_capture_cpp.html#capture_cpp_captureSingleFrame", null ]
    ] ],
    [ "Device.cpp file", "smpl_niviewer_device_cpp.html", null ],
    [ "Draw.cpp file", "smpl_niviewer_draw_cpp.html", null ],
    [ "Statistics.cpp file", "smpl_niviewer_stat.html", null ],
    [ "SimpleRead.java - sample program (Java)", "smpl_simple_read_java.html", null ],
    [ "SimpleRead.net - sample program (C#/.NET)", "smpl_simple_read_net.html", null ],
    [ "SimpleViewer.java - sample program (Java)", "smpl_simple_view_java.html", null ],
    [ "SimpleViewer.net - sample program  (C#/.NET)", "smpl_simple_view_net.html", null ],
    [ "UserTracker.java - sample program (Java)", "smpl_user_tracker_java.html", [
      [ "'Pose Detected' event handler", "smpl_user_tracker_java.html#utj_posedetect_ev_hndlr", null ],
      [ "Global Declaration Block", "smpl_user_tracker_java.html#utj_glb_dcl_blk", null ],
      [ "Main Program - UserTracker() \"try\" - How should I title this", "smpl_user_tracker_java.html#utj_func_main", [
        [ "Main Program Loop", "smpl_record_syn.html#rec_syn_main_loop", null ],
        [ "Uses a Script to Set up a Context and Production Graph", "smpl_user_tracker_java.html#svj_scrpt_sets_up_pg", null ],
        [ "Gets a DepthGenerator Node from the Production Graph", "smpl_user_tracker_java.html#utj_get_dg_node_from_pg", null ],
        [ "Defines the Histogram Array", "smpl_user_tracker_java.html#utj_setup_hist_array", null ],
        [ "Creates a UserGenerator Node", "smpl_user_tracker_java.html#utj_create_ug_node", null ],
        [ "Initialize Event Handlers", "smpl_user_tracker_java.html#utj_init_event_hndlrs", null ],
        [ "Initializes the 'joints' Array", "smpl_user_tracker_java.html#utj_init_joints_array", null ],
        [ "Sets the Skeleton Profile", "smpl_user_tracker_java.html#utj_set_ske_prfl", null ],
        [ "Starts the Node Generating", "smpl_user_tracker_java.html#utcs_start_node_generating", null ]
      ] ],
      [ "CalcHist() - Using the Depth Values to Build an Accumulative Histogram", "smpl_user_tracker_java.html#utj_calcHist", null ],
      [ "updateDepth() method: Updating the Depth Map", "smpl_user_tracker_java.html#utj_update_depth_fn", null ],
      [ "getJoint() method", "smpl_user_tracker_java.html#utj_get_joint", null ],
      [ "Drawing the Complete Skeleton", "smpl_user_tracker_java.html#utj_drawing_the_ske", null ],
      [ "getJoints() method", "smpl_user_tracker_java.html#utj_get_joints", null ],
      [ "drawLine() method", "smpl_user_tracker_java.html#utj_draw_line", null ],
      [ "drawSkeleton() method", "smpl_user_tracker_java.html#utj_draw_skel", null ],
      [ "paint() method", "smpl_user_tracker_java.html#utj_paint", null ]
    ] ],
    [ "UserTracker.net - sample program (C#)", "smpl_user_tracker_net.html", [
      [ "Declarations of Event Handlers", "smpl_user_tracker_net.html#utcs_event_handlers", [
        [ "Sets up the Histogram Array", "smpl_user_tracker_net.html#utcs_setup_hist_array", null ],
        [ "Sets up the MapOutputMode", "smpl_user_tracker_net.html#utcs_setup_map_out_mode", null ],
        [ "Sets up the Bitmap Class and Start Run", "smpl_user_tracker_net.html#utcs_setup_bitmap", null ],
        [ "'Calibration Complete' event handler", "smpl_user_tracker_net.html#utcs_calibcmplt_ev_hndlr", null ],
        [ "'Pose Detected' event handler", "smpl_user_tracker_net.html#utcs_posedetect_ev_hndlr", null ],
        [ "'New User' event handler", "smpl_user_tracker_net.html#utcs_newuser_ev_hndlr", null ],
        [ "'Lost User' event handler", "smpl_user_tracker_net.html#utcs_lostuser_ev_hndlr", null ]
      ] ],
      [ "CalcHist() - Using the Depth Values to Build an Accumulative Histogram", "smpl_user_tracker_net.html#utcs_calcHist", null ]
    ] ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_i_xn_node_allocator_8h.html",
"_xn_module_interface_8h.html#a42079ca9c6d361a9796e832528a2fb29",
"_xn_o_s_strings_8h.html#a989da285c893ee191a05793078ddf54b",
"_xn_types_8h.html#a51d23710019804ac982d27566a820976",
"_xn_u_s_b_8h.html#af024b66a30b791b7c5fde727b3765770aeadfcfe6f6008e7b72f12e2ac11e79dd",
"class_xn_hash_t.html#a78800114807f6a512e18d2458b67388f",
"class_xn_thread_safe_queue.html#aaae80d7b7cf9e0677974ca81805a2f7d",
"classxn_1_1_hands_generator.html#a01e02f0013c02a7f8990dd2bc3278b35",
"classxn_1_1_module_error_state_interface.html#a24fc131418861d7f9cd868e745b5873d",
"classxn_1_1_node_info.html#a2071db7c3d493fe2144b3bba19705c60",
"classxn_1_1_user_generator.html",
"group__context.html#ga2a655407d0bece96e02e669791c10096",
"group__gestures.html#gad43ceb79fcca01e59e3f3eba163fa022",
"group__prdnodeinfo.html#ga82f8d239814ae007fa9c6f8e4ccbfe90",
"group__utils.html#ga6c4f22ba4901ddcffd03ef9340139452",
"struct_xn_key_value_pair.html#a81b792668f73d2923652c170c37dba44",
"struct_xn_module_production_node_interface.html#a4b7afa3f3073f29f3135f4e5ed5e1664"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';